Upgrading is the process of changing a system to a different, higher/newer version. It is similar to patching or updating (and for some software, may even be as simple as applying patches or updates, but is generally more involved and more comprehensive than the process for installing patches or ...

learn more… | top users | synonyms (1)

0
votes
3answers
1k views

Is Linux 3 kernel series compatible with CentOS 6?

For proper TPROXY support I was looking for a STABLE Linux kernel of at least version 3.2.30. Do they want us to upgrade to version 3 of the kernel? And is that compatible with CentOS 6?
1
vote
1answer
166 views

Do I need to update some of my Debian Squeeze software?

I have installed Debian 6, and LAMP stack from squeeze repository (default). After upgrading Apache 2.2.16 from unstable repository to 2.2.22, thanks to this post - how to upgrade already installed ...
0
votes
1answer
1k views

OTRS upgrade 3.0 to 3.1 fails

Today I've started upgrading OTRS from version 2.3 to 2.4 , 2.4 to 3.0 and 3.0 to 3.1. Everything went smoothly except the upgrade from 3.0 to 3.1 OTRS provides a few perl scripts which make the ...
1
vote
2answers
2k views

PHP versions warning on Plesk 11.0.9 upgrade on CentOS server

I have a server turning on Plesk 10.4.4 and I want to upgrade it to 11.0.9. When I use the online upgrade tool, I have this warning: Parallels Panel pre-upgrade check... WARNING: You have a ...
0
votes
1answer
1k views

kernel + libc6 issue upgrading to squeeze

I used to run Debian testing, and I haven't upgraded or dist-upgraded for about 2 years. Yesterday I made the mistake of trying that... it didn't work (I don't remember the exact error messages), so I ...
2
votes
4answers
2k views

Moving from ColdFusion 8 to ColdFusion 10 - Migration Fails

After having made several attempts to migrate from a ColdFusion 8 Standard server to a ColdFusion 10 Standard server, it feels like I am "almost" there. I'm using the 64 bit installer from Adobe's ...
1
vote
3answers
753 views

How to remotely upgrade a debian system?

I am running debian on a couple of servers that I control and would like to upgrade them remotely. I do not have access to the keyboard directly, as they are VPS machines in a different location. I ...
0
votes
2answers
446 views

Where to store big data (best practices)

I am installing a fresh Ubuntu on our lab server. We have lots of massive genomes which need to be accessed by Apache www-data user. Currently I backed all the data up on external drives. My goal is ...
1
vote
2answers
540 views

Ubuntu: remotely disable upgrade?

I have a number of Ubuntu machines that have unattended-upgrades set up. I am running 11.10 and do not wish to update to 12.04. How can I disable the upgrade dialog (which still pops up after booting ...
1
vote
0answers
516 views

migrate 10g xe to 11g xe

The oracle 10g DB that is being currently used has exceeded the limit of 4GB. For the application to continue the db needs to be upgraded to 11g. But the upgrade doc requires a data pump export to be ...
37
votes
3answers
11k views

How do I reattach to Ubuntu Server's 'do-release-upgrade' process?

I accidentally pressed Ctrl+C during Ubuntu Server's do-release-upgrade process. I'd dropped to a shell to compare a .conf file in /etc/. When I pressed Ctrl-C, it asked whether I wanted to try to ...
0
votes
1answer
723 views

Why does EC2 instance have problems upgrading my Ubuntu server to 12.04?

I just tried upgrading our Ubuntu EC2 server to 12.04 from 11.10, and it halts on several package upgrades, starting with memtest86+. CTRL+C is the only way out, and in the end there is the following ...
3
votes
2answers
180 views

Upgrade a legacy, expired RHEL 3.4.6 server to modern CentOS/Scientific Linux

I have a machine running a legacy J2EE application. The code is not Maven-ized and it works with pretty old Java and Postgres versions. I have converted it to a VM in ESXI and I'd like to try to ...
3
votes
1answer
932 views

How can I find the original un-changed configuration file to compare with the *.rpmnew file?

While upgrading from CentOS 5.7 to 5.8 I've received the following warnings: warning: /etc/sysconfig/iptables-config created as /etc/sysconfig/iptables-config.rpmnew warning: /etc/ssh/sshd_config ...
2
votes
1answer
107 views

Difference between package updates and release upgrades on Debian

I've been trying to decide on a new OS for my production machine, and I was wondering what the difference is between straight up upgrading packages and upgrading to a new release. If I install Debian ...
-1
votes
2answers
2k views

Replace CPU of HP server

Suppose we have a problem with a processor or would like to replace to a more powerful one. Is it possible? I found one article that explain the process for DL385 but not sure if this is only for a ...
1
vote
1answer
230 views

Ubuntu: setting timeout value on do-release-upgrade?

Having an issue upgrading from 9.10 to 10.04 LTS. Keeps failing on a package in the repo, but if I copy and paste the URL into wget, it downloads the Packages.gz, albeit after almost 12-15 seconds as ...
0
votes
1answer
175 views

best practice for debian distribution upgrade - what happens with the rest of the LAMP?

I am planning of upgrading the LAMP stack that I have. Debian Lenny 5.09 - current version is 6.0 Apache 2.2.9 - current 2.2.21 MySQL 5.0.51a - current 5.5.20 PHP 5.2.6 - current PHP 5.3.9 I am ...
0
votes
2answers
2k views

MySQL upgrade from 5.0 to 5.5

I would like to upgrade MySQL from version 5.0 (I have 5.0.86) to 5.5 (let's say 5.5.17) After some search, i found this method : Dump the databases but not mysql databse in a backup_data.sql This ...
5
votes
2answers
5k views

Apache not starting after upgrade to OpenSuse 12.1

Few days back, I upgraded to openSuse 12.1 from openSuse 11.04 vai online upgrade. Now if try to start apache server as - sudo /etc/init.d/apache2 start it gives error as - redirecting to ...
1
vote
1answer
619 views

Ubuntu upgrade multiple versions at once

I need an Ubuntu 11.10 server, but for reasons beyond my understanding, our host only preinstalls Ubuntu 10.04 LTS. So I decided to get a 10.04 server and use Ubuntu's do-release-upgrade to get to 11....
3
votes
1answer
176 views

Package upgrade on Ubuntu raid server and grub setup issue

I have remote Ubuntu 10.10 server running on raid system. I did package upgrade yesterday night for security reasons. During the upgrade, grub installation screen appeared and asked me which partition ...
1
vote
1answer
1k views

Is it safe to upgrade to Mysql 5.x from 4.1.22, do I need to take any precautions?

I'm considering of upgrading my current server to a new one and by default it comes with Mysql 5.x although have the option of continuing with old version as well. The question is can I just migrate ...
10
votes
1answer
3k views

What's the difference between apt-get dist-upgrade and do-release-upgrade?

Will apt-get dist-upgrade do the exact same thing as running do-release-upgrade? I'm currently running Ubuntu Server 11.04.
2
votes
3answers
3k views

Ubuntu Server upgrade over SSH hang

I was upgrading an Ubuntu server (using the do-release-upgrade) command over SSH (I know it's a bad idea, but it was the only choice; I don't have physical access to the server). It seemed to go fine ...
0
votes
1answer
666 views

How to create backups when upgrading Debian?

I want to upgrade my Debian lenny to squeeze but as I'm doing it for the first time I was thinking how to create the backup mentioned in the release notes: The main things you'll want to back up ...
5
votes
5answers
1k views

apt-get dist-upgrade on a production machine

I have a couple of blogs running on an Ubuntu 9.04 machine and I'd like to upgrade it. Is it safe to do so? Note, I also have a few daemons that were manually compiled like MySQL, Nginx, PHP, etc.
4
votes
3answers
2k views

Reconnect ssh session when disconnected without screen

I initiated 'do-release-upgrade' over ssh, and then my (client) network connection died. How can I reconnect to the session which is performing this command?
1
vote
1answer
1k views

Debian package installation problems - Bus errors, dpkg post-installation exit status 135

I tried to install curl support for php 5 on my debian squeeze machine and since I'm having problems. After trying to install curl I got dependency issues which I tried to solve by removing what ...
0
votes
2answers
122 views

Windows Server 2008 Crash

My server has been restarting almost daily, some times twice a day. This started after changing the raid drives with larger drives. My log for the raid says everything is fine and has not had a single ...
1
vote
2answers
1k views

Can't install PHP after apt-get dist-upgrade

I had a server with perfectly running for months classical LAMP installation on Ubuntu 8.04: Linux localhost 2.6.24-23-generic #1 SMP Wed Apr 1 21:47:28 UTC 2009 i686 GNU/Linux DISTRIB_ID=Ubuntu ...
0
votes
3answers
2k views

Ubuntu: Cannot apt-get upgrade server, dpkg permission denied even when root?

I've ran a general audit of the system and found that a few packages were aging, such as OpenSSH and related so I went to apt-get update then upgrade. Unfortunately it seems to get the packages ...
5
votes
3answers
2k views

Whats the best way to update Ubuntu 9.04?

I have a Ubuntu 9.04 server which has no packase support anymore. If I want to update my package lists, I get th following errors: Err http://de.archive.ubuntu.com jaunty-security/multiverse ...
4
votes
3answers
3k views

Why won't Ubuntu Server 9.04 won't upgrade to 9.10?

I have a server running 9.04 and I'd like to upgrade it to 9.10 (on the way to getting to the latest version). However, despite following the nice documentation, I am unable to. Specifically, sudo do-...
2
votes
2answers
1k views

Can I dist-upgrade without breaking LAMP?

I have a Debian 5 VPS which runs a LAMP stack and Redmine (Ruby) and DokuWiki for myself and some clients to use for organisational purposes. A apt-get upgrade request says that a lot of packages ...
2
votes
2answers
629 views

How to run Postgresql 8.2 on Debian lenny?

We are running a legacy application which requires PostgreSQL 8.2 on Debian Etch. Since Debian dropped support for etch, we're seriously considering to upgrade to Debian Lenny. However, we are stuck ...
2
votes
2answers
2k views

dist-upgrade to squeeze wants to remove apt

why does dist-upgrade to squeeze want to remove apt and how can I fix it? $ sudo apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done ...
1
vote
2answers
495 views

Upgrading CentOS 4.8 to 5.5 (x86_64)

I have CentOS 4.8 with httpd installed, Since httpd 2.2.23 version not supported on CentOS 4.8 Now I want to upgrade same to 5.5 without disturbing existing state of Application Stack I tried with ...
4
votes
3answers
2k views

Reasons Why In Place Upgrades Are Bad

I am working on compiling a list of reasons why in place upgrades of software and operating systems are a bad idea. There are many people that I work with that think that it is easier and better to ...
2
votes
2answers
6k views

SQL Server R2 different versions on x86 and x64?

I have the latest SQL Server 2008 R2 installed on a W2K8 server. The version number says "10.50.1600". My problem is that my backup fails to restore on the x64 machine. I downloaded and installed the ...
1
vote
1answer
159 views

How do you gracefully upgrade mission critical systems to wildly disparate systems?

In the span of the 12+ years of my career, I have yet to overcome this hurdle and I suspect the answer simply isn't easy or even possible, so I ask everyone here for their experience. Say that you're ...
1
vote
1answer
480 views

What postgresql client version should I build against, if server is 8.x?

I'm planning updates to a system that is currently running with 8.x server on Windows, 8.x client on Windows, and 8.x client on Linux. Obviously that seems like a bad choice of platform in a mixed ...
0
votes
1answer
146 views

SQL 2008 R2 Enterprise Compatible

We currently have SQL 2008 (non R2) installed on our development server. Our production server has SQL 2008 R2 Standard, so we would like to upgrade our development server so they are "compatible". ...
0
votes
2answers
1k views

How to upgrade Bugzilla on Windows

I installed Bugzilla with the handy Windows Installer (https://wiki.mozilla.org/Bugzilla:Win32InstallPackages) I'm trying to upgrade to 3.6.3 following these instructions. I've downloaded the tarball ...
3
votes
3answers
102 views

Compiling and maintaining applications?

What configure format do you use for compiling and why ? Example (you don't have to reply as the example but do state your directory setup): <Layout MyPersonalizedLayout> prefix: /...
2
votes
2answers
1k views

SQL 2008 to 2008 R2 upgrade failed, can't install R2 now

We attempted to upgrade SQL 2008 to 2008 R2. It passed the checks with flying colors. But midway through the installation we got the dreaded "No mapping between account names and Security IDs was ...
0
votes
1answer
83 views

Upgrading mysql release from 5.1.41 to 5.1.5

How do I upgrade the release for mysql server? I want to upgrade from 5.1.41 to 5.1.5 Do I have to do an entire reinstall?
0
votes
1answer
3k views

Easiest way of upgrading pthread library in CentOS?

I am developing a deamon for my VPS. The program works perfectly in local (that has pthread-2.11.so) but in the vps (witch have pthread-2.5.so) it have a memory leak related to threads (each thread ...
3
votes
1answer
224 views

debian: upgrade from etch to lenny fails

The error message is: error processing /var/cache/apt/archives/debianutils_2.30_i386.deb (--unpack): trying to overwrite `/usr/sbin/add-shell', which is also in package passwd How can I solve ...
0
votes
2answers
397 views

Ubuntu: unattended-upgrades from a local package archive

I have a local apt archive with a bunch of packages I built in it. The Packages and Release file are generated by apt-ftparchive. The Release file looks like Date: Thu, 06 May 2010 23:04:33 UTC Label:...